extends Control

# Nodes
#onready var btn_add = find_node("btn_add")
#onready var btn_delete = find_node("btn_delete")
onready var option_button = $OptionButton
#onready var label_selected_id = find_node("label_selected_id")
#onready var label_size = find_node("label_size")
onready var label_stats = $Stats

var items_added = 0

func _ready():
	# Generate a few items and add to optionbutton
	for i in range(5):
		option_button.add_item("Item " + str(i), i)
	items_added = 5
	update_labels()


# Add an item to optionbutton
func _on_btn_add_pressed():
	# Generate an item (with name from running total of added items)
	var rnd = items_added #int(rand_range(0, 1000))
	items_added += 1
	option_button.add_item("Item " + str(rnd))
	update_labels()


# Remove selected optionbutton item
func _on_btn_delete_pressed():
	option_button.remove_item(option_button.get_selected())
	update_labels()


# Clear all items
func _on_btn_clear_pressed():
	option_button.clear()
	update_labels()


# Set selected item to a blank -1 (Does not work!)
func _on_btn_selected_to_none_pressed():
	option_button.select(-1)
	#option_button.selected = -1
	update_labels()


# Only updates selected id label after changing selected item
func _on_OptionButton_item_selected( ID ):
	update_labels()


# Updates selected it label
func update_labels():
	#label_selected_id.set_text(str(option_button.get_selected()))
	#label_size.set_text(str(option_button.get_item_count()))
	label_stats.text = (
		str(option_button.selected) + "\n" +
		str(option_button.get_item_count())
	)
	print(option_button.get_item_text(option_button.selected))
	print(option_button.selected)
	print(option_button.get_selected_id())
